*******************************************************************
* Licensed Materials - Property of IBM
* 5724-L62
*
* (C) Copyright IBM Corp. 2006-2009 All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*******************************************************************

/*
KYNAPSRV
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNAPSRV";

/*
KYNTHRDP
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNTHRDP";

/*
KYNMSGENG
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000G00000000000000000000000002100000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNMSGENG";

/*
KYNSVCCOMP
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000G00000000000000000000000000100000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNSVCCOMP";

/*
KYNWPTALS
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000W00000000000000000000000000000000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNWPTALS";

/*
KYNREQHIS
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNREQHIS";

/*
KYNGCACT
*/

UPDATE O4SRV.TSITDESC
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000"
WHERE SITNAME = 
"UADVISOR_KYN_KYNGCACT";

/*  SITUATIONS  */

/*
WASAppDiscovered
*/

$PARMS(
"A new WAS application is discovered. This happens when DC first
 time connects (for all deployed applications), or when new
 application deployed on server."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m00000000000000000000000002100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WAS Application Discovered"
WHERE SITNAME =
"WASAppDiscovered";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0010.KYNAPHLTH"
WHERE NAME=
"WASAppDiscovered";


/*
WASAppHealthGood
*/

$PARMS(
"WAS application is running on good health level. Examine
 Application Health workspaces for additional details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WAS Application Health Good"
WHERE SITNAME =
"WASAppHealthGood";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0010.KYNAPHLTH"
WHERE NAME=
"WASAppHealthGood";


/*
WASAppHealthFair
*/

$PARMS(
"WAS application is running on fair health level. Examine
 Application Health workspaces for additional details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WAS Application Health Fair"
WHERE SITNAME =
"WASAppHealthFair";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0010.KYNAPHLTH"
WHERE NAME=
"WASAppHealthFair";


/*
WASAppHealthBad
*/

$PARMS(
"WAS application is running on bad health level. Examine Application
 Health workspaces for additional details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WAS Application Health Bad"
WHERE SITNAME =
"WASAppHealthBad";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0010.KYNAPHLTH"
WHERE NAME=
"WASAppHealthBad";


/*
WASWebApplicationError
*/

$PARMS(
"An error has occurred in the Web application. For details, consult
 the Log Analysis workspace for error messages, and check the
 application server's log files."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m00000000000000000000000002100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"Web Application Error."
WHERE SITNAME =
"WASWebApplicationError";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0140.KYNAPP"
WHERE NAME=
"WASWebApplicationError";


/*
WASServletsJSPsError
*/

$PARMS(
"An error has occurred in a servlet or JSP. For details, consult the
 Log Analysis workspace for error messages, and check the
 application server's log files."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m00000000000000000000000002100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"Servlets/JSPs Error."
WHERE SITNAME =
"WASServletsJSPsError";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0080.KYNSERVLT"
WHERE NAME=
"WASServletsJSPsError";


/*
WASDBConnectionPoolThrdTimeout
*/

$PARMS(
"The thread timeout count in the DB Connection Pools is greater than
 0; therefore, the connection could not be obtained (possibly
 because the pool size is too small, the backend database server is
 busy, or the network is overloaded). For details, consult the Log
 Analysis workspace for the error messages, and check the
 application server's log file."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"Thread Timeout for DB Connection Pools."
WHERE SITNAME =
"WASDBConnectionPoolThrdTimeout";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0180.KYNDBCONP"
WHERE NAME=
"WASDBConnectionPoolThrdTimeout";


/*
WASContainerTransactionRollback
*/

$PARMS(
"The transaction manager's rollback count is greater than 0,
 (possibly because the backend Enterprise Information System--for
 example, CICS, WebSphere MQ, or DB2--is unavailable or the
 application's business logic failed). For details, consult the Log
 Analysis workspace for the error messages, and check the
 application server's log file."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"Container Transaction Rollback"
WHERE SITNAME =
"WASContainerTransactionRollback";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0200.KYNTRANS"
WHERE NAME=
"WASContainerTransactionRollback";


/*
WASError
*/

$PARMS(
"An error has occurred in the WebSphere application server. Scroll
 the Initial Situation Values view, and examine the message text to
 determine the corrective action; consult the application server's
 log files for details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server Error"
WHERE SITNAME =
"WASError";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0060.KYNASERR"
WHERE NAME=
"WASError";


/*
WASNotConnected
*/

$PARMS(
"The ITCAM for WebSphere secondary data collector running in the
 application server has not connected to the Monitoring Agent. This
 may indicate that the WebSphere Application Server has not started.
 Use the Start_WAS_Server_ command in the Take Action view to the
 left to start your application server."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000000000000000000000000001000000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server is Not Connected"
WHERE SITNAME =
"WASNotConnected";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0000.KYNAPSST"
WHERE NAME=
"WASNotConnected";


/*
WASOutofHeapSpace
*/

$PARMS(
"Heap allocation failed: heap space exhausted. Use either ITCAM for
 WebSphere's Memory Leaks report to check your applications for
 memory leaks or the WebSphere administrative console to tune the
 space allocated to the heap."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server out of Heap Space"
WHERE SITNAME =
"WASOutofHeapSpace";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0000.KYNGCAF"
WHERE NAME=
"WASOutofHeapSpace";


/*
WASHighResponseTime
*/

$PARMS(
"The average request response time is high: greater than 2 seconds.
 Consult the Request Analysis workspace to troubleshoot the slow
 response times."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server Response Time High"
WHERE SITNAME =
"WASHighResponseTime";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0000.KYNREQHIS"
WHERE NAME=
"WASHighResponseTime";


/*
WASHighCPUPercentUsed
*/

$PARMS(
"The percentage of the CPU used by the application server JVM is
 high: greater than 80%. Consult the WebSphere App Server workspace
 to troubleshoot the high CPU usage."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server Percent CPU Used High"
WHERE SITNAME =
"WASHighCPUPercentUsed";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0080.KYNAPSRV"
WHERE NAME=
"WASHighCPUPercentUsed";


/*
WASThreadPoolPercentMaxed
*/

$PARMS(
"The average percentage of the time that all threads are in use is
 high: greater than 80%. This may mean the pool size is too small;
 use the WebSphere administrative console to tune the thread pool
 size."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server Thread Pool Percent Maxed"
WHERE SITNAME =
"WASThreadPoolPercentMaxed";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0220.KYNTHRDP"
WHERE NAME=
"WASThreadPoolPercentMaxed";


/*
WASHighGCTimePercent
*/

$PARMS(
"The percentage of time that the garbage collector was active is
 high: greater than 80%. This may mean your heap size is too small;
 use the WebSphere administrative console to tune either the
 garbage-collection parameters or the space allocated to the heap."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000m0000000000000000000000000I100000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"WebSphere Application Server High GC Time Percent"
WHERE SITNAME =
"WASHighGCTimePercent";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0040.KYNGCACT"
WHERE NAME=
"WASHighGCTimePercent";


/*
WASPortalPageResponseTime
*/

$PARMS(
"The average request response time is high: greater than 2 seconds."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000W00000000000000000000000000000000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"Portal Page Response Time Threshold"
WHERE SITNAME =
"WASPortalPageResponseTime";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0000.KYNWPPAGE"
WHERE NAME=
"WASPortalPageResponseTime";


/*
WASPortletResponseTime
*/

$PARMS(
"The average request response time is high: greater than 2 seconds."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000W00000000000000000000000000000000000000",
LSTDATE =
"1090620000000000",
ADVISE =
?,
TEXT =
"Portlet Response Time Threshold"
WHERE SITNAME =
"WASPortletResponseTime";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYN.0000.KYNWPLETS"
WHERE NAME=
"WASPortletResponseTime";


/*
YNSTARTBL
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Start_Baselining",
DESC = 
"Start a baselening for WAS Application",
CMD  = 
"YN:Start_Baselining &App_Id &Period &Update_Interval &Run_Clean"
WHERE KEY = 
"YNSTARTBL";

/*
YNSTOPBL
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Stop_Baselining",
DESC = 
"Stop a baselening for WAS Application",
CMD  = 
"YN:Stop_Baselining &App_Id"
WHERE KEY = 
"YNSTOPBL";

/*
YNARESATS
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Enable_Auto_Threshold",
DESC = 
"Sets automatic response threshold for WAS Application",
CMD  = 
"YN:Enable_Auto_Threshold &App_Id &Request_Id &Auto_Threshold_Percent
 &Auto_Threshold_Deviation &Auto_Threshold_Fair_Projection
 &Auto_Threshold_Bad_Projection &Use_Default"
WHERE KEY = 
"YNARESATS";

/*
YNREQRESTS
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Override_Auto_Threshold",
DESC = 
"Override request response thresholds for WAS Application",
CMD  = 
"YN:Override_Auto_Threshold &App_Id &Request_Id
 &Fair_Response_Threshold &Bad_Response_Threshold"
WHERE KEY = 
"YNREQRESTS";

/*
YNAPPMONEN
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Set_Application_Monitoring",
DESC = 
"Enables monitoring of WAS Application",
CMD  = 
"YN:Set_Application_Monitoring &App_Id &Mon_Status
 &Request_Data_Monitoring_Level &Request_Data_Sampling_Rate
 &Reflex_Automation_Mode"
WHERE KEY = 
"YNAPPMONEN";

/*
YNERRRTS
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Set_Completion_Thresholds",
DESC = 
"Sets error rate thresholds for WAS Application",
CMD  = 
"YN:Set_Completion_Thresholds &App_Id &Fair_Completion_Rate
 &Bad_Completion_Rate"
WHERE KEY = 
"YNERRRTS";

/*
YNUPDTBSL
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Update_Baseline",
DESC = 
"Requests immediate updated from baseline data.",
CMD  = 
"YN:Update_Baseline_Snapshot &App_Id"
WHERE KEY = 
"YNUPDTBSL";

/*
YNREMAPP
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Remove_WebSphere_Application",
DESC = 
"Remove undeployed application data and configuration",
CMD  = 
"YN:Remove_Application &App_Id"
WHERE KEY = 
"YNREMAPP";

/*
YNSTARTSRV
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Start_WebSphere_Server",
DESC = 
"Start a WebSphere Application Server",
CMD  = 
"YN:StartAppSvr &User &Password"
WHERE KEY = 
"YNSTARTSRV";

/*
YNSTARTSRVA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000000000000000000000000001000000000000",
NAME = 
"Start_WebSphere_Server_",
DESC = 
"Start a WebSphere Application Server",
CMD  = 
"YN:StartAppSvr &Server_Name &User &Password"
WHERE KEY = 
"YNSTARTSRVA";

/*
YNSTOPSRV
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Stop_WebSphere_Server",
DESC = 
"Stop a WebSphere Application Server",
CMD  = 
"YN:StopAppSvr &User &Password"
WHERE KEY = 
"YNSTOPSRV";

/*
YNSTOPSRVA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000000000000000000000000001000000000000",
NAME = 
"Stop_WebShere_Server_",
DESC = 
"Stop a WebSphere Application Server",
CMD  = 
"YN:StopAppSvr &Server_Name &User &Password"
WHERE KEY = 
"YNSTOPSRVA";

/*
YNCYCLESRV
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Recycle_WebSphere_Server",
DESC = 
"Recycle a WebSphere Application Server",
CMD  = 
"YN:CycleAppSvr &User &Password"
WHERE KEY = 
"YNCYCLESRV";

/*
YNCYCLESRVA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000000000000000000000000001000000000000",
NAME = 
"Recycle_WebSphere_Server_",
DESC = 
"Recycle a WebSphere Application Server",
CMD  = 
"YN:CycleAppSvr &Server_Name &User &Password"
WHERE KEY = 
"YNCYCLESRVA";

/*
YNREMSNODE
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Remove_WebSphere_SubNode",
DESC = 
"Remove an inactive ITCAM for WebSphere subnode",
CMD  = 
"YN:RemSubNode"
WHERE KEY = 
"YNREMSNODE";

/*
YNREMSNODEA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000000000000000000000000001000000000000",
NAME = 
"Remove_WebSphere_SubNode_",
DESC = 
"Remove an inactive ITCAM for WebSphere subnode",
CMD  = 
"YN:RemSubNode &Server_Name"
WHERE KEY = 
"YNREMSNODEA";

/*
YNSTARTGCMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Start_GC_Monitoring",
DESC = 
"Begin reporting garbage-collection data",
CMD  = 
"YN:StartGCMonitor"
WHERE KEY = 
"YNSTARTGCMONITOR";

/*
YNSTOPGCMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Stop_GC_Monitoring",
DESC = 
"Stop reporting garbage-collection data",
CMD  = 
"YN:StopGCMonitor"
WHERE KEY = 
"YNSTOPGCMONITOR";

/*
YNSTARTREQMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Start_Request_Monitoring",
DESC = 
"Begin reporting request data",
CMD  = 
"YN:StartRequestMonitor &Level"
WHERE KEY = 
"YNSTARTREQMONITOR";

/*
YNSETREQMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Set_Request_Sampling_Rate",
DESC = 
"Set the sampling rate for request data",
CMD  = 
"YN:SetRequestSamplingRate &Percent"
WHERE KEY = 
"YNSETREQMONITOR";

/*
YNSTOPREQMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Stop_Request_Monitoring",
DESC = 
"Stop reporting request data",
CMD  = 
"YN:StopRequestMonitor"
WHERE KEY = 
"YNSTOPREQMONITOR";

/*
YNSTARTRESMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Start_Resource_Monitoring",
DESC = 
"Begin reporting PMI data",
CMD  = 
"YN:StartResourceMonitor"
WHERE KEY = 
"YNSTARTRESMONITOR";

/*
YNSTOPRESMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000m0000000000000000000000000I100000000000",
NAME = 
"Stop_Resource_Monitoring",
DESC = 
"Stop reporting PMI data",
CMD  = 
"YN:StopResourceMonitor"
WHERE KEY = 
"YNSTOPRESMONITOR";
